{$APPTYPE CONSOLE}

var
  a: array[1..100] of integer;
  n: integer;
  good: boolean;
  i: integer;
begin
  assign(input, 'input.txt');
  reset(input);
  assign(output, 'output.txt');
  rewrite(output);

  assert(not SeekEof(input));
  read(n);
  assert((1 <= n) and (n <= 100));
  for i := 1 to n do
  begin
    assert(not SeekEof(input));
    read(a[i]);
    assert((1 <= a[i]) and (a[i] <= 1000));
  end;
  assert(SeekEof(input));
  for i := 1 to n-1 do
    assert(a[i] < a[i+1]);

  good := true;
  for i := 1 to n-2 do
  begin
    if (a[i+2]-a[i] <= 6) then
      good := false;
  end;

  if (good) then
    write('GOOD')
  else
    write('BAD');

  close(input);
  close(output);
end.